const APP_DISPLAY_NAME = "Tip of the Day";
const APP_NAME = "tipbar";
const APP_PACKAGE = "Richard Klein/Tip of the Day";
const APP_VERSION = "0.8.0";

const APP_JAR_FILE = "tipbar080.jar";
const APP_CONTENT_FOLDER = "content/tipbar/";
const APP_LOCALE_FOLDER  = "locale/en-US/tipbar/";
const APP_SKIN_FOLDER  = "skin/classic/tipbar/";



// initialize installer
initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);

// see if we can install in profile first
var chromef = getFolder("Profile", "chrome");
var err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null);
var instToProfile = true;

// couldn't add to profile
if (err != SUCCESS) {
  
  //try adding to chrome directory
  chromef = getFolder("chrome");
  err = addFile(APP_PACKAGE, APP_VERSION, APP_JAR_FILE, chromef, null);
  instToProfile = false;

  if (err != SUCCESS)
    cancelInstall(err);
}
	
//get the jar file
var jar = getFolder(chromef, APP_JAR_FILE);

// set register
if(instToProfile) {
  registerChrome(CONTENT | PROFILE_CHROME, jar, APP_CONTENT_FOLDER);
  registerChrome(LOCALE  | PROFILE_CHROME, jar, APP_LOCALE_FOLDER);
  registerChrome(SKIN  | PROFILE_CHROME, jar, APP_SKIN_FOLDER);
}
else {
  registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_FOLDER);
  registerChrome(LOCALE  | DELAYED_CHROME, jar, APP_LOCALE_FOLDER);
  registerChrome(SKIN  | DELAYED_CHROME, jar, APP_SKIN_FOLDER);
}


// install
err = performInstall();
  
if (err != SUCCESS)
    cancelInstall(err);